srecord: srecord::quit Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::quit Class Referenceabstract

The quit class is an abstract class for reporting error messages, both fatal and non-fatal. More...

`#include <quit.h>`

Inheritance diagram for srecord::quit:
[legend]

## Public Member Functions
virtual | ~quit ()
| The destructor.
| quit ()
| The default constructor.
| quit (const quit &)
| The copy constructor.
quit & | operator= (const quit &)
| The assignment operator.
virtual void | fatal_error (const char *fmt,...) FORMAT_PRINTF(2
| The fatal_error method is used to report fatal errors.
virtual void virtual void | fatal_error_v (const char *, va_list)
| The fatal_error_v method is used to report fatal errors.
virtual void | fatal_error_errno (const char *fmt,...) FORMAT_PRINTF(2
| The fatal_error_errno method is used to report fatal errors, and append the string equivalent of errno.
virtual void virtual void | fatal_error_errno_v (const char *, va_list)
| The fatal_error_errno_v method is used to report fatal errors.
virtual void | warning (const char *fmt,...) FORMAT_PRINTF(2
| The warning method is used to likely but non-fatal errors.
virtual void virtual void | warning_v (const char *, va_list)
| The warning_v method is used to report likely but non-fatal errors.
virtual void | message (const char *fmt,...) FORMAT_PRINTF(2
| The message method is used to send an error message to a suitable destination.
virtual void virtual void | message_v (const char *, va_list)=0
| The message_v method is used to send an error message to a suitable destination.
virtual void | exit (int)=0
| The exit method is used to terminate execution.

## Detailed Description

The quit class is an abstract class for reporting error messages, both fatal and non-fatal.

Definition at line 32 of file quit.h.

## Constructor & Destructor Documentation

## ◆ ~quit()

virtual srecord::quit::~quit | ( |  | ) |
| virtual

The destructor.

## ◆ quit() [1/2]

srecord::quit::quit | ( |  | ) |

The default constructor.

Referenced by exit(), srecord::quit_prefix::message_v(), operator=(), quit(), srecord::quit_prefix::quit_prefix(), and srecord::quit_prefix::quit_prefix().

## ◆ quit() [2/2]

srecord::quit::quit | ( | const quit & |  | ) |

The copy constructor.

References quit().

## Member Function Documentation

## ◆ operator=()

quit & srecord::quit::operator= | ( | const quit & |  | ) |

The assignment operator.

References quit().

## ◆ fatal_error()

virtual void srecord::quit::fatal_error | ( | const char * | fmt,
|  |  | ... )
| virtual

The fatal_error method is used to report fatal errors.

The ‘fmt’ string is in the same style a standard C printf function. It calls the fatal_error_v method. This method does not return.

References FORMAT_PRINTF.

## ◆ fatal_error_v()

virtual void virtual void srecord::quit::fatal_error_v | ( | const char * | ,
|  | va_list | )
| virtual

The fatal_error_v method is used to report fatal errors.

The ‘fmt’ string is in the same style a standard C vprintf function. It calls the message_v and exit methods. This method does not return.

References fatal_error_v().

Referenced by fatal_error_v().

## ◆ fatal_error_errno()

virtual void srecord::quit::fatal_error_errno | ( | const char * | fmt,
|  |  | ... )
| virtual

The fatal_error_errno method is used to report fatal errors, and append the string equivalent of errno.

The ‘fmt’ string is in the same style a standard C printf function. It calls the fatal_error_errno_v method. This method does not return.

References fatal_error_errno(), and FORMAT_PRINTF.

Referenced by fatal_error_errno().

## ◆ fatal_error_errno_v()

virtual void virtual void srecord::quit::fatal_error_errno_v | ( | const char * | ,
|  | va_list | )
| virtual

The fatal_error_errno_v method is used to report fatal errors.

The ‘fmt’ string is in the same style a standard C vprintf function. It calls the message_v and exit methods. This method does not return.

References fatal_error_errno_v().

Referenced by fatal_error_errno_v().

## ◆ warning()

virtual void srecord::quit::warning | ( | const char * | fmt,
|  |  | ... )
| virtual

The warning method is used to likely but non-fatal errors.

The ‘fmt’ string is in the same style a standard C printf function. It calls the warning_v method.

References FORMAT_PRINTF, and warning().

Referenced by warning().

## ◆ warning_v()

virtual void virtual void srecord::quit::warning_v | ( | const char * | ,
|  | va_list | )
| virtual

The warning_v method is used to report likely but non-fatal errors.

The ‘fmt’ string is in the same style a standard C vprintf function. It calls the message_v method.

References warning_v().

Referenced by warning_v().

## ◆ message()

virtual void srecord::quit::message | ( | const char * | fmt,
|  |  | ... )
| virtual

The message method is used to send an error message to a suitable destination.

The ‘fmt’ string is in the same style a standard C printf function. The message_v method is called.

References FORMAT_PRINTF, and message().

Referenced by message().

## ◆ message_v()

virtual void virtual void srecord::quit::message_v | ( | const char * | ,
|  | va_list | )
| pure virtual

The message_v method is used to send an error message to a suitable destination.

The ‘fmt’ string is in the same style a standard C vprintf function. Derived classes are required to supply this method.

Implemented in srecord::quit_exception, srecord::quit_normal, and srecord::quit_prefix.

References message_v().

Referenced by message_v().

## ◆ exit()

virtual void srecord::quit::exit | ( | int |  | ) |
| pure virtual

The exit method is used to terminate execution.

It could call the global exit function, or it could throw an exception, or some other action, but it shall NOT return. Derived classes are required to supply this method.

Implemented in srecord::quit_exception, srecord::quit_normal, and srecord::quit_prefix.

References exit(), quit(), and srecord::quit_default.

Referenced by exit().

The documentation for this class was generated from the following file:

- quit.h